Uploaded image for project: 'Log4j 2'
  1. Log4j 2
  2. LOG4J2-2978

Migrate to Jakarta APIs

    XMLWordPrintableJSON

Details

    • New Feature
    • Status: Resolved
    • Blocker
    • Resolution: Fixed
    • 2.14.0
    • 2.15.0
    • Web/Servlet
    • None

    Description

      Jakarta EE 9 is out already along with stable versions of the two most popular containers - Tomcat 10 and Jetty 11 (running on Servlet 5.0). `log4j-web` internally still uses `javax` (e.g. here) so it is incompatible with an application that runs on these two containers. It would be nice to release a new version that is compatible with them. Unfortunately a single version cannot be made compatible with both the "old" `javax` and the "new" `jakarta` namespaces so perhaps a new major one should be released.

      Attachments

        Issue Links

          Activity

            People

              Unassigned Unassigned
              boris-petrov Boris Petrov
              Votes:
              5 Vote for this issue
              Watchers:
              10 Start watching this issue

              Dates

                Created:
                Updated:
                Resolved: